
QGIS Application - Bug report #10271

Crash when using SVG markers

2014-05-14 09:02 PM - Gary Sherman

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Symbology

Affected QGIS version:2.2.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 18703

Description

With a project containing a lot of SVG marker symbols, zooming and panning will cause QGIS 2.2 (and master) to crash after just a few

operations.

Profiling with the dependency walker shows the issue crops up in QTCORE4.DLL:

  Second chance exception 0xC0000005 (Access Violation) occurred in "QTCORE4.DLL" at address 0x00000000704C5DC6.

Platform is 64-bit Windows 7 Professional.

Associated revisions

Revision f3ff3b4f - 2014-06-15 07:36 PM - Martin Dobias

Fix #10271 (crash from race condition in SVG cache when using parallel rendering)

History

#1 - 2014-05-14 10:00 PM - James Harvey

Make sure you have no other additional elements in the SVG symbols that are outside of the document area. Open them up a vector illustration editor to

look. I had some crashing on zooming as well. I noticed that I saved a SVG symbol but had other hidden design elements that were not used and were in

the workspace area outside of the artwork area set. I have not had the same issue since I made sure I cleaned out my SVG artwork files.

#2 - 2014-05-15 04:12 AM - Giovanni Manghi

Hi Gary,

how the project behave in qgis 2.0.1?

#3 - 2014-05-15 07:32 AM - Gary Sherman

It works fine under 2.0.1

#4 - 2014-05-15 09:48 AM - Giovanni Manghi

- Target version changed from Future Release - High Priority to Version 2.4

- Priority changed from High to Severe/Regression
#5 - 2014-05-22 03:48 AM - Paolo Cavallini

May be related to #9826 ?

#6 - 2014-05-26 05:51 AM - Giovanni Manghi

Paolo Cavallini wrote:

May be related to #9826 ?

or #9959-7?

#7 - 2014-06-09 11:41 AM - Martin Dobias

- Status changed from Open to Feedback

Please provide some more details, ideally a test project.

#8 - 2014-06-15 10:37 AM - Martin Dobias

- Status changed from Feedback to Closed

Fixed in changeset commit:"f3ff3b4fe6784a3beadebd0c83bdbf1fd6cdb50f".
